#include <stdio.h>
#include <iostream> // ::std::cout 
#include <ios>      // ::std::left, ::std::rightusing std::cout;
#include <ostream>  // ::std::ostream (<<) 
#include <iomanip>  // ::std::setw, ::std::setfill 
#include <ios>      // ::std::left, ::std::rightusing std::cout;
using std::cerr;
using std::endl;
#include <sstream>
using std::istringstream;
#include <fstream>
using std::ifstream;
#include <string>
#include <set>
#include <map>
#include <vector>
#include <sys/times.h> // I want to do some benchmarking of options...
#include <unistd.h>

#include <cmath>

#include "MEAD_e/AtomSet.h"
#include "MEAD_e/globals.h"

using std::vector;
using std::list;
using std::map;
using std::set;
using std::pair;
using std::string;
using namespace::std;

///////////////////////////////////////// function declaration ///////////////////////////////////////////////////


// geometry functions  
// i,j,k,l, target torsion angle
//!nowrap!-
Coord set_tor(const Coord&, const Coord&, const Coord&, const Coord&, double);
// i,j,k,l, change in torsion angle
Coord change_tor(const Coord&, const Coord&, const Coord&, const Coord&, double);
// i,j,k,l, 
double get_tor(const Coord&, const Coord&, const Coord&, const Coord&);
// i,j,k 
double get_angle(const Coord&, const Coord&, const Coord&);
// point, point
double get_dist(const Coord&, const Coord&);
double get_sqdist(const Coord&, const Coord&);
// vector
double abs_value(const Coord&);
// vector, vector
double dot_p(const Coord&, const Coord&);
// point, point point
Coord get_normal(const Coord&, const Coord&, const Coord&);
// vector, vector  
Coord cross_p(const Coord&, const Coord&);
// unit normal_vector of plane, point to project, point in plane
Coord project_on_plane (const Coord&, const Coord&, const Coord&);
// point, point in plane, normal vector
double get_dist_p_plane (const Coord&, const Coord&, const Coord&);
// point, point on line, point on line
double get_dist_p_line (const Coord&, const Coord&, const Coord&);
// get integer torsion bin (rotamer library) from torsion angle
int get_tor_bin(const double);
