#!/usr/bin/python
#TRU 05.2005
#prepare rot file for QMPB 
#0 means unflexible
#1 means flexible and protonatable or redoxactive
#2 means flexible but not protonatable or redoxactive

import string, sys, glob, os, math

#-----------------------
# Check syntax and input
try:
    prefix = sys.argv[1]
except:    
    print "Usage:",sys.argv[0], "   prefix"; sys.exit(1)
#------------------------

input=open("%s.pqr" % prefix, 'r')
list=input.readlines()
input.close()
chainnumber=0
lastrnumber="-100"
k=len(list)
i=0

output=open("%s.con" % prefix, 'w')

while i<k:
 line=list[i]
 cols=line.split()
 if len(cols) >= 9:
  atomname=cols[2]
  name=cols[3]
  rnumber=cols[4]
  if lastrnumber == "-100":
   lastrnumber=rnumber
  rdiff=float(rnumber)-float(lastrnumber)
#  if rdiff<0:
#   chainnumber+=1
  chainnumber = cols[11]
  if rnumber != lastrnumber:
   n=0
   if (1==1):
    if (name == "HSE" or name == "HSD" or name == "HSP" or name == "HIS" or name == "GLU" or name == "LYS" or name == "LYR" or name == "ARG" or name == "ASP" or name == "CYS" or name == "TYR"): 
     n=3
   if (n!=0):
    # assignment semi-automatic using H-bonding network (HWIRE) / visual inspection 
    if ( rnumber == "7" or rnumber == "9" or rnumber == "57" or rnumber == "64" or rnumber == "74" or rnumber == "79" or rnumber == "82" or rnumber == "83" or rnumber == "85" or rnumber == "129" or rnumber == "131" or rnumber == "133" or rnumber == "134" or rnumber == "185" or rnumber == "194" or rnumber == "204" or rnumber == "212" or rnumber == "216" ):
     # connected to  inside
     output.write("%+7s-%s-%-6s    %i\n" % (name, chainnumber, rnumber, 0) )
    elif ( rnumber == "26" or rnumber == "30" or rnumber == "36" or rnumber == "38" or rnumber == "40" or rnumber == "41" or rnumber == "43" or rnumber == "96" or rnumber == "102" or rnumber == "104" or rnumber == "115" or rnumber == "147" or rnumber == "150" or rnumber == "159" or rnumber == "161" or rnumber == "164" or rnumber == "166" or rnumber == "172" or rnumber == "175" or rnumber == "225" or rnumber == "227" ):
     # connected to outside
     output.write("%+7s-%s-%-6s    %i\n" % (name, chainnumber, rnumber, 1) )
    else:
     print "site not assigned :", chainnumber, rnumber;
     sys.exit(1);
     
 lastrnumber=rnumber
 i+=1

output.close()

sys.exit(1)    
