#!/usr/bin/python
#TRU 05.2005
#prepare rot file for QMPB 
#0 means unflexible
#1 means flexible and protonatable or redoxactive
#2 means flexible but not protonatable or redoxactive

import string, sys, glob, os, math

#-----------------------
# Check syntax and input
try:
    prefix = sys.argv[1]
except:    
    print "Usage:",sys.argv[0], "   prefix"; sys.exit(1)
#------------------------

input=open("%s.pqr" % prefix, 'r')
list=input.readlines()
input.close()
chainnumber=0
lastrnumber="-100"
k=len(list)
i=0

output=open("%s.rot" % prefix, 'w')

while i<k:
 line=list[i]
 cols=line.split()
 if len(cols) >= 9:
  atomname=cols[2]
  name=cols[3]
  rnumber=cols[4]
  if lastrnumber == "-100":
   lastrnumber=rnumber
  rdiff=float(rnumber)-float(lastrnumber)
#  if rdiff<0:
#   chainnumber+=1
  chainnumber = cols[11]
  if rnumber != lastrnumber:
   n=0
   if (1==1):
    if (name == "HSE" or name == "HSD" or name == "HSP" or name == "HIS" or name == "GLU" or name == "LYS" or name == "LYR" or name == "ARG" or name == "ASP" or name == "CYS" or name == "TYR"): 
     n=3
   if (n!=0): 
    output.write("%+7s-%s-%-6s    %i\n" % (name, chainnumber, rnumber, n) )
 lastrnumber=rnumber
 i+=1

output.close()

sys.exit(1)    
