#!/bin/tcsh

## set meaddir manually
#set meaddir="${HOME}/my_mead"

if    ( -d ${HOME}/my_mead ) then
 set meaddir="${HOME}/my_mead"
else if ( -d "/scratch/data/ullmannt/svn/mead/branches/ullmannt/current" ) then
 set meaddir="/scratch/data/ullmannt/svn/mead/branches/ullmannt/current"
else if ( -d "/sw/sci/app/mead_64/my_mead_09" ) then
 set meaddir="/sw/sci/app/mead_64/my_mead_09"
else if ( -d "/scratch/btbs08/my_mead_09" ) then
 set meaddir="/scratch/btbs08/my_mead_09"
else
 echo "Could not find MEAD directory, exiting ..."
 exit
endif

${meaddir}/apps/multiflex/multiflex -blab2 -epsin 4 -epsext 80 -ionicstr 0.15 \
                                    >& ${molname}.multiflex.out
