// -*- C++ -*-
#ifndef ElySlab_h
#define ElySlab_h 1

#include "MEAD/ElectrolyteEnvironment.h"

//!wrap!
class ElySlab : public ElectrolyteEnvironment_lett {
public:
  ElySlab(float ionic, float zl, float zu);
  ~ElySlab() {}
  //!nowrap!
  virtual ElyCubeRep get_cuberep(const CubeLatSpec& clsp);
  float ionic_strength() const {return ionic_str;}
  float zupper_value() const {return zupper;}
  float zlower_value() const {return zlower;}
private:
  float ionic_str;
  float zupper, zlower;
};

#endif

// ElySlab.h ends here
