// -*- C++ -*-
#ifndef UniformElectrolyte_h
#define UniformElectrolyte_h 1

#include "MEAD_e/ElectrolyteEnvironment.h"

//!wrap!
class UniformElectrolyte : public ElectrolyteEnvironment_lett {
public:
  //!nowrap!
  UniformElectrolyte() : ionic_str(0.0) {}
  UniformElectrolyte(float ionstr);
  ~UniformElectrolyte() {}
  virtual float ionic_strength() const {return ionic_str;}
  //!nowrap!
  virtual ElyCubeRep get_cuberep(const CubeLatSpec& cls);
private:
  float ionic_str;
};

#endif

// UniformElectrolyte.h ends here
