# This file was created automatically by SWIG.
import MEADc
class PhysCond:
    def __init__(self,this):
        self.this = this

    def __repr__(self):
        return "<C PhysCond instance at %s>" % (self.this,)
class PhysCondPtr(PhysCond):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = PhysCond



class CubeLatSpec:
    def __init__(self,*args):
        self.this = apply(MEADc.new_CubeLatSpec,args)
        self.thisown = 1

    def resolve(*args):
        val = apply(MEADc.CubeLatSpec_resolve,args)
        return val
    def get_grid_dim(*args):
        val = apply(MEADc.CubeLatSpec_get_grid_dim,args)
        return val
    def get_spacing(*args):
        val = apply(MEADc.CubeLatSpec_get_spacing,args)
        return val
    def get_center(*args):
        val = apply(MEADc.CubeLatSpec_get_center,args)
        if val: val = CoordPtr(val) ; val.thisown = 1
        return val
    def __repr__(self):
        return "<C CubeLatSpec instance at %s>" % (self.this,)
class CubeLatSpecPtr(CubeLatSpec):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = CubeLatSpec



class Coord:
    def __init__(self,*args):
        self.this = apply(MEADc.new_Coord,args)
        self.thisown = 1

    def __neg__(*args):
        val = apply(MEADc.Coord___neg__,args)
        if val: val = CoordPtr(val) ; val.thisown = 1
        return val
    def read(*args):
        val = apply(MEADc.Coord_read,args)
        return val
    __setmethods__ = {
        "x" : MEADc.Coord_x_set,
        "y" : MEADc.Coord_y_set,
        "z" : MEADc.Coord_z_set,
    }
    def __setattr__(self,name,value):
        if (name == "this") or (name == "thisown"): self.__dict__[name] = value; return
        method = Coord.__setmethods__.get(name,None)
        if method: return method(self,value)
        self.__dict__[name] = value
    __getmethods__ = {
        "x" : MEADc.Coord_x_get,
        "y" : MEADc.Coord_y_get,
        "z" : MEADc.Coord_z_get,
    }
    def __getattr__(self,name):
        method = Coord.__getmethods__.get(name,None)
        if method: return method(self)
        raise AttributeError,name
    def __repr__(self):
        return "<C Coord instance at %s>" % (self.this,)
class CoordPtr(Coord):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = Coord



class Atom:
    def __init__(self,*args):
        self.this = apply(MEADc.new_Atom,args)
        self.thisown = 1

    __setmethods__ = {
        "coord" : MEADc.Atom_coord_set,
        "rad" : MEADc.Atom_rad_set,
        "charge" : MEADc.Atom_charge_set,
        "atname" : MEADc.Atom_atname_set,
        "resname" : MEADc.Atom_resname_set,
        "resnum" : MEADc.Atom_resnum_set,
    }
    def __setattr__(self,name,value):
        if (name == "this") or (name == "thisown"): self.__dict__[name] = value; return
        method = Atom.__setmethods__.get(name,None)
        if method: return method(self,value)
        self.__dict__[name] = value
    __getmethods__ = {
        "coord" : lambda x : CoordPtr(MEADc.Atom_coord_get(x)),
        "rad" : MEADc.Atom_rad_get,
        "charge" : MEADc.Atom_charge_get,
        "atname" : MEADc.Atom_atname_get,
        "resname" : MEADc.Atom_resname_get,
        "resnum" : MEADc.Atom_resnum_get,
    }
    def __getattr__(self,name):
        method = Atom.__getmethods__.get(name,None)
        if method: return method(self)
        raise AttributeError,name
    def __repr__(self):
        return "<C Atom instance at %s>" % (self.this,)
class AtomPtr(Atom):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = Atom



class AtomSet:
    def __init__(self,*args):
        self.this = apply(MEADc.new_AtomSet,args)
        self.thisown = 1

    def build_from_vectors(*args):
        val = apply(MEADc.AtomSet_build_from_vectors,args)
        return val
    def read(*args):
        val = apply(MEADc.AtomSet_read,args)
        return val
    def geom_cent(*args):
        val = apply(MEADc.AtomSet_geom_cent,args)
        if val: val = CoordPtr(val) ; val.thisown = 1
        return val
    def __repr__(self):
        return "<C AtomSet instance at %s>" % (self.this,)
class AtomSetPtr(AtomSet):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = AtomSet



class ChargeDist:
    def __init__(self,*args):
        self.this = apply(MEADc.new_ChargeDist,args)
        self.thisown = 1

    def __repr__(self):
        return "<C ChargeDist instance at %s>" % (self.this,)
class ChargeDistPtr(ChargeDist):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = ChargeDist



class ChargeDist_lett:
    def __init__(self,this):
        self.this = this

    def __repr__(self):
        return "<C ChargeDist_lett instance at %s>" % (self.this,)
class ChargeDist_lettPtr(ChargeDist_lett):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = ChargeDist_lett



class AtomChargeSet(ChargeDist_lett,AtomSet):
    def __init__(self,*args):
        self.this = apply(MEADc.new_AtomChargeSet,args)
        self.thisown = 1

    def total_charge(*args):
        val = apply(MEADc.AtomChargeSet_total_charge,args)
        return val
    def has_charges(*args):
        val = apply(MEADc.AtomChargeSet_has_charges,args)
        return val
    def vacuum_coulomb(*args):
        val = apply(MEADc.AtomChargeSet_vacuum_coulomb,args)
        return val
    def number_points(*args):
        val = apply(MEADc.AtomChargeSet_number_points,args)
        return val
    def dispatch_addChargeDist(*args):
        val = apply(MEADc.AtomChargeSet_dispatch_addChargeDist,args)
        return val
    def addChargeDist(*args):
        val = apply(MEADc.AtomChargeSet_addChargeDist,args)
        if val: val = ChargeDistPtr(val) ; val.thisown = 1
        return val
    def __repr__(self):
        return "<C AtomChargeSet instance at %s>" % (self.this,)
class AtomChargeSetPtr(AtomChargeSet):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = AtomChargeSet



class DielectricEnvironment:
    def __init__(self,*args):
        self.this = apply(MEADc.new_DielectricEnvironment,args)
        self.thisown = 1

    def __repr__(self):
        return "<C DielectricEnvironment instance at %s>" % (self.this,)
class DielectricEnvironmentPtr(DielectricEnvironment):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = DielectricEnvironment



class DielectricEnvironment_lett:
    def __init__(self,this):
        self.this = this

    def __repr__(self):
        return "<C DielectricEnvironment_lett instance at %s>" % (self.this,)
class DielectricEnvironment_lettPtr(DielectricEnvironment_lett):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = DielectricEnvironment_lett



class TwoValueDielectricByAtoms(DielectricEnvironment_lett):
    def __init__(self,*args):
        self.this = apply(MEADc.new_TwoValueDielectricByAtoms,args)
        self.thisown = 1

    def __repr__(self):
        return "<C TwoValueDielectricByAtoms instance at %s>" % (self.this,)
class TwoValueDielectricByAtomsPtr(TwoValueDielectricByAtoms):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = TwoValueDielectricByAtoms



class ElectrolyteEnvironment:
    def __init__(self,*args):
        self.this = apply(MEADc.new_ElectrolyteEnvironment,args)
        self.thisown = 1

    def __repr__(self):
        return "<C ElectrolyteEnvironment instance at %s>" % (self.this,)
class ElectrolyteEnvironmentPtr(ElectrolyteEnvironment):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = ElectrolyteEnvironment



class ElectrolyteEnvironment_lett:
    def __init__(self,this):
        self.this = this

    def __repr__(self):
        return "<C ElectrolyteEnvironment_lett instance at %s>" % (self.this,)
class ElectrolyteEnvironment_lettPtr(ElectrolyteEnvironment_lett):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = ElectrolyteEnvironment_lett



class ElectrolyteByAtoms(ElectrolyteEnvironment_lett):
    def __init__(self,*args):
        self.this = apply(MEADc.new_ElectrolyteByAtoms,args)
        self.thisown = 1

    def __repr__(self):
        return "<C ElectrolyteByAtoms instance at %s>" % (self.this,)
class ElectrolyteByAtomsPtr(ElectrolyteByAtoms):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = ElectrolyteByAtoms



class FinDiffMethod:
    def __init__(self,*args):
        self.this = apply(MEADc.new_FinDiffMethod,args)
        self.thisown = 1

    def read(*args):
        val = apply(MEADc.FinDiffMethod_read,args)
        return val
    def add_level(*args):
        val = apply(MEADc.FinDiffMethod_add_level,args)
        return val
    def resolve(*args):
        val = apply(MEADc.FinDiffMethod_resolve,args)
        return val
    def get_coarsest(*args):
        val = apply(MEADc.FinDiffMethod_get_coarsest,args)
        if val: val = CubeLatSpecPtr(val) 
        return val
    def get_finer(*args):
        val = apply(MEADc.FinDiffMethod_get_finer,args)
        if val: val = CubeLatSpecPtr(val) 
        return val
    def __repr__(self):
        return "<C FinDiffMethod instance at %s>" % (self.this,)
class FinDiffMethodPtr(FinDiffMethod):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = FinDiffMethod



class ElstatPot:
    def __init__(self,*args):
        self.this = apply(MEADc.new_ElstatPot,args)
        self.thisown = 1

    def solve(*args):
        val = apply(MEADc.ElstatPot_solve,args)
        return val
    def value(*args):
        val = apply(MEADc.ElstatPot_value,args)
        return val
    def field(*args):
        val = apply(MEADc.ElstatPot_field,args)
        if val: val = CoordPtr(val) ; val.thisown = 1
        return val
    def displacement(*args):
        val = apply(MEADc.ElstatPot_displacement,args)
        if val: val = CoordPtr(val) ; val.thisown = 1
        return val
    def __repr__(self):
        return "<C ElstatPot instance at %s>" % (self.this,)
class ElstatPotPtr(ElstatPot):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = ElstatPot



class ElstatPot_lett:
    def __init__(self,this):
        self.this = this

    def __repr__(self):
        return "<C ElstatPot_lett instance at %s>" % (self.this,)
class ElstatPot_lettPtr(ElstatPot_lett):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = ElstatPot_lett



class FinDiffElstatPot(ElstatPot_lett):
    def __init__(self,*args):
        self.this = apply(MEADc.new_FinDiffElstatPot,args)
        self.thisown = 1

    def __del__(self,MEADc=MEADc):
        if self.thisown == 1 :
            MEADc.delete_FinDiffElstatPot(self)
    def solve(*args):
        val = apply(MEADc.FinDiffElstatPot_solve,args)
        return val
    def solve_using_coarse_init(*args):
        val = apply(MEADc.FinDiffElstatPot_solve_using_coarse_init,args)
        return val
    def write_coarse_field(*args):
        val = apply(MEADc.FinDiffElstatPot_write_coarse_field,args)
        return val
    def coarse_lattice_spec(*args):
        val = apply(MEADc.FinDiffElstatPot_coarse_lattice_spec,args)
        if val: val = CubeLatSpecPtr(val) ; val.thisown = 1
        return val
    def value(*args):
        val = apply(MEADc.FinDiffElstatPot_value,args)
        return val
    def field(*args):
        val = apply(MEADc.FinDiffElstatPot_field,args)
        if val: val = CoordPtr(val) ; val.thisown = 1
        return val
    def displacement(*args):
        val = apply(MEADc.FinDiffElstatPot_displacement,args)
        if val: val = CoordPtr(val) ; val.thisown = 1
        return val
    def __repr__(self):
        return "<C FinDiffElstatPot instance at %s>" % (self.this,)
class FinDiffElstatPotPtr(FinDiffElstatPot):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
        self.__class__ = FinDiffElstatPot





#-------------- FUNCTION WRAPPERS ------------------

energy_of = MEADc.energy_of

energy_of_ACS_FDEP = MEADc.energy_of_ACS_FDEP

def FDEP_to_ElstatPot(*args, **kwargs):
    val = apply(MEADc.FDEP_to_ElstatPot,args,kwargs)
    if val: val = ElstatPotPtr(val); val.thisown = 1
    return val

get_coarse_field = MEADc.get_coarse_field

PhysCond_set_epsext = MEADc.PhysCond_set_epsext

PhysCond_set_solrad = MEADc.PhysCond_set_solrad

PhysCond_set_sterln = MEADc.PhysCond_set_sterln

PhysCond_set_ionicstr = MEADc.PhysCond_set_ionicstr

PhysCond_set_T = MEADc.PhysCond_set_T

PhysCond_set_kBolt = MEADc.PhysCond_set_kBolt

PhysCond_set_conconv = MEADc.PhysCond_set_conconv

PhysCond_set_econv = MEADc.PhysCond_set_econv

PhysCond_set_bohr_radius = MEADc.PhysCond_set_bohr_radius

PhysCond_set_proton_charge = MEADc.PhysCond_set_proton_charge

PhysCond_get_epsext = MEADc.PhysCond_get_epsext

PhysCond_get_solrad = MEADc.PhysCond_get_solrad

PhysCond_get_sterln = MEADc.PhysCond_get_sterln

PhysCond_get_ionicstr = MEADc.PhysCond_get_ionicstr

PhysCond_get_T = MEADc.PhysCond_get_T

PhysCond_get_kBolt = MEADc.PhysCond_get_kBolt

PhysCond_get_conconv = MEADc.PhysCond_get_conconv

PhysCond_get_econv = MEADc.PhysCond_get_econv

PhysCond_get_hueck = MEADc.PhysCond_get_hueck

PhysCond_get_kappasq = MEADc.PhysCond_get_kappasq

PhysCond_get_ln10kT = MEADc.PhysCond_get_ln10kT

PhysCond_get_bohr_radius = MEADc.PhysCond_get_bohr_radius

PhysCond_get_proton_charge = MEADc.PhysCond_get_proton_charge

PhysCond_print = MEADc.PhysCond_print



#-------------- VARIABLE WRAPPERS ------------------

